/* breakpoints */
.flip-box {
  background-color: transparent;
  width: 100%;
  height: 450px;
  -webkit-perspective: 1000px;
  perspective: 1000px;
}

.flip-box.hover {
  overflow: hidden;
}

.flip-box.hover > div.row {
  -webkit-transform: rotateX(-180deg);
  transform: rotateX(-180deg);
}

.flip-box > div.row {
  position: relative;
  width: 100%;
  height: 100%;
  -webkit-transition: -webkit-transform 0.8s;
  transition: -webkit-transform 0.8s;
  transition: transform 0.8s;
  transition: transform 0.8s, -webkit-transform 0.8s;
  -webkit-transform-style: preserve-3d;
  transform-style: preserve-3d;
}

.flip-box > div.row .flip-box-front {
  position: absolute;
  width: 100%;
  height: 100%;
  backface-visibility: hidden;
  -webkit-backface-visibility: hidden;
}

.flip-box > div.row .flip-box-back {
  position: absolute;
  width: 100%;
  height: 100%;
  backface-visibility: hidden;
  -webkit-backface-visibility: hidden;
  color: white;
  -webkit-transform: rotateX(180deg);
  transform: rotateX(180deg);
}

.flip-box > div.row .flip-box-back.front {
  backface-visibility: visible;
  -webkit-backface-visibility: visible;
}

.flip-box > div.row .flip-box-back > div.component-content {
  background-size: cover;
  height: 100%;
}

.flip-box > div.row .flip-box-back div {
  height: 100%;
}

.flip-box > div.row .flip-box-back div .wrapper {
  height: auto;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

.flip-box > div.row .flip-box-back div .wrapper .message {
  height: auto;
}

@media (max-width: 1024px) {
  .flip-box {
    height: 356px;
  }
}
